API ReferencePosts
Retry publishing a failed post
Resets the post (and any non-published children) from Error to Scheduled, clears the stored error metadata, and re-dispatches the publish job. For threads, already-published children are skipped on retry.
Authorization
http AuthorizationBearer <token>
In: header
Path Parameters
space*integer
The space ID
post*integer
The post ID
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://zilfu.app/api/spaces/0/posts/0/retry"{
"data": {
"id": 0,
"content": "string",
"status": 0,
"order": 0,
"scheduled_at": "2019-08-24T14:15:22Z",
"published_at": "2019-08-24T14:15:22Z",
"metadata": [
null
],
"cluster_id": "string",
"parent_id": 0,
"user_id": 0,
"account_id": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"analytics": [
null
],
"account": {
"id": 0,
"social": "string",
"display_name": "string",
"handler": "string",
"avatar": "string",
"is_active": true,
"disconnected_at": "string"
},
"children": [
{
"id": 0,
"content": "string",
"status": 0,
"order": 0,
"scheduled_at": "2019-08-24T14:15:22Z",
"published_at": "2019-08-24T14:15:22Z",
"metadata": [
null
],
"cluster_id": "string",
"parent_id": 0,
"user_id": 0,
"account_id": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"analytics": [
null
],
"account": {
"id": 0,
"social": "string",
"display_name": "string",
"handler": "string",
"avatar": "string",
"is_active": true,
"disconnected_at": "string"
},
"children": [],
"media": [
{
"id": "string",
"type": "string",
"url": "string",
"mime": "string",
"width": "string",
"height": "string",
"size": "string",
"alt": "string",
"order": "string"
}
]
}
],
"media": [
{
"id": "string",
"type": "string",
"url": "string",
"mime": "string",
"width": "string",
"height": "string",
"size": "string",
"alt": "string",
"order": "string"
}
]
}
}{
"message": "string"
}{
"message": "string"
}{
"message": "string"
}{
"message": "string",
"errors": {
"property1": [
"string"
],
"property2": [
"string"
]
}
}